Bug 99257 - Add API for retrieval of method arguments
Add API for retrieval of method arguments
Status: CLOSED FIXED
Product: debugger
Classification: Unclassified
Component: Java
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Martin Entlicher
issues@debugger
: API, API_REVIEW_FAST
Depends on:
Blocks: 79131 99254
  Show dependency treegraph
 
Reported: 2007-03-28 15:43 UTC by Martin Entlicher
Modified: 2010-04-29 09:32 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
The proposed API change & test. (10.98 KB, text/plain)
2007-03-28 17:29 UTC, Martin Entlicher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2007-03-28 15:43:06 UTC
In order to be able to find out method arguments even when no debug information
is available, we need a way how to retrieve the argument names from the source file.

A new API in EditorContext is necessary to be able to retrieve the arguments
from editor.
Comment 1 Martin Entlicher 2007-03-28 17:29:43 UTC
Created attachment 40099 [details]
The proposed API change & test.
Comment 2 Martin Entlicher 2007-03-28 17:32:03 UTC
Please review this simple and compatible API change in debugger. Thanks.
Comment 3 Martin Entlicher 2007-04-04 11:24:44 UTC
Thanks for the review, I'm going to integrate that later today.
Comment 4 Martin Entlicher 2007-04-04 13:54:20 UTC
The new API is in trunk:

/shared/data/ccvs/repository/debuggerjpda/api/apichanges.xml,v  <--  apichanges.xml
new revision: 1.19; previous revision: 1.18

/shared/data/ccvs/repository/debuggerjpda/api/manifest.mf,v  <--  manifest.mf
new revision: 1.21; previous revision: 1.20

/shared/data/ccvs/repository/debuggerjpda/api/src/org/netbeans/api/debugger/jpda/CallStackFrame.java,v
 <--  CallStackFrame.java
new revision: 1.11; previous revision: 1.10

/shared/data/ccvs/repository/debuggerjpda/api/src/org/netbeans/spi/debugger/jpda/EditorContext.java,v
 <--  EditorContext.java
new revision: 1.11; previous revision: 1.10
Comment 5 Quality Engineering 2010-04-29 09:32:26 UTC
Verified ... and Closing all issues resolved into NetBeans 6.7 and earlier.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo